aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/spotify
diff options
context:
space:
mode:
authorToby Vincent <tobyv@tobyvin.dev>2024-02-08 13:25:34 -0600
committerToby Vincent <tobyv@tobyvin.dev>2024-02-08 13:25:34 -0600
commit186793251ca0ca0f1e037d4297bae4fe1a76fbf8 (patch)
treeff8f3d5ebce0ad66a6be3e37ef9885867dd49f50 /spotify
parent41de982dde32a105d586803fb23c89e1fb9cf41a (diff)
build: add and improve install scripts
Diffstat (limited to 'spotify')
-rwxr-xr-xspotify/install.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/spotify/install.sh b/spotify/install.sh
new file mode 100755
index 0000000..6143d7e
--- /dev/null
+++ b/spotify/install.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+pkgname=spotifyd
+
+if ! command -v "$pkgname" >/dev/null; then
+ printf "%s: $pkgname not found, skipping...\n" "$0"
+ exit 0
+fi
+
+printf "%s: Installing services\n" "$0"
+
+systemctl --user enable --now --no-block $pkgname.service